<table *ngIf="(account$ | async) as account; else noSuchAccount">
  <tr>
    <th>ID</th>
    <td>{{account.id}}</td>
  </tr>
  <tr>
    <th>Account No.</th>
    <td>{{account.accno | uppercase}}</td>
  </tr>
  <tr>
    <th>Balance</th>
    <td>{{account.balance | currency:'SEK'}}</td>
  </tr>
  <tr>
    <th>Has Credit</th>
    <td>{{account.credit ? 'Yes' : 'No'}}</td>
  </tr>
  <tr>
    <th>Customer Name</th>
    <td>{{account.owner | titlecase}}</td>
  </tr>
  <tr>
    <th>Created Date</th>
    <td>{{account.created | date:'yyyy-MM-dd'}}</td>
  </tr>
</table>

<ng-template #noSuchAccount>
  No such account: ID={{accountId}}
</ng-template>
